4Suite™ API Documentation

# ► Module Ft.Server.Common.ResourceTypes

Classes: ResourceType |  |  |  | Fields: CONTAINERS, DOCUMENT_DEFINITIONS, RAW_FILES, RESOURCE_CACHE, RESOURCE_CONTENT, RESOURCE_METADATA, SESSION_DATA, XML_DOCUMENTS, g_resourceTypeMap

## Classes

class ResourceType

### Fields

ALIAS = 2
COMMAND = 14
CONTAINER = 1
DOCUMENT_DEFINITION = 13
GROUP = 8
META_DATA = 16
RAW_FILE = 3
RDF_DOCUMENT = 12
RESOURCE = 0
SCHEMATRON_DOCUMENT = 6
SERVER = 15
URI_REFERENCE_FILE = 17
USER = 7
XML_DOCUMENT = 4
XPATH_DOCUMENT_DEFINITION = 9
XSLT_DOCUMENT = 5
XSLT_DOCUMENT_DEFINITION = 11

## Fields

CONTAINERS = [1]
DOCUMENT_DEFINITIONS = [9, 11]
RAW_FILES = [1, 2, 3, 4, 5, 6, 7, 8, 9, 11, 12, 14, 15, 17]
RESOURCE_CACHE = 3
RESOURCE_CONTENT = 2
RESOURCE_METADATA = 1
SESSION_DATA = 4
XML_DOCUMENTS = [1, 2, 4, 5, 6, 7, 8, 9, 11, 12, 14, 15]
g_resourceTypeMap = {0: 'Unknown Resource', 1: 'Container', 2: 'Alias', 3: 'Raw File', 4: 'XML Document', 5: 'XSLT Document', 6: 'Schematron Document', 7: 'User', 8: 'Group', 9: 'XPath Document Definition', ...}